2007年01月28日 23:32 by matsuu

したいんですが、どこか 参考になるサイトはありませんか?

ぐぐったんですが、なかなかなくて

正しいプロセッサファミリーを選択する

Processor type and features --->
(Change according to your system)
(Athlon/Duron/K7) Processor family

私はCPUcore2duoなんですが、どれを選択すればいいんでしょうか?

1: 口コミさん : 2007-01-29 00:03
http://gentoo-wiki.com/Safe_Cflags

ここが参考になるかと思います
2: 口コミさん : 2007-01-29 00:14
e-10.inさん
教えていただきありがとうございます

どなたか、日本のサイトでも参考になるとこがあれば教えていただけませんか?

注文してすいません
3: 口コミさん : 2007-01-29 01:56
手抜いて申し訳ない

プロセッサの設定だけでいいかなぁって思ったので…


stage1でのインストールは,stage3のtarballの代わりにstage1のtarballを使用してハンドブックの6章までが終わったら,

make.confのCFLAGS, CHOST, CXXFLAGSのところを

CFLAGS="-march=prescott -O2 -mtune=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"

の様に変更して,

# ln -sfn /usr/portage/profiles/default-linux/x86/2006.1 /etc/make.profile
# cd /usr/portage
# scripts/bootstrap.sh
# emerge -e system

以降はハンドブックの7章から行えば,たぶんできる思います.
4: 口コミさん : 2007-01-29 02:26
e-10.inさんご丁寧にありがとうございます

これでインストール再挑戦さしていただきます

またわからないことがあったら、質問してもよろしいでしょうか?
5: 口コミさん : 2007-01-29 03:14
あ、後
正しいプロセッサファミリーを選択する

Processor type and features --->
(Change according to your system)
(Athlon/Duron/K7) Processor family

私はCPUcore2duoなんですが、どれを選択すればいいんでしょうか?
セレロンとかは、ありますがcore2はありません

上記のサイトにものっていませんでした
見落としていたらすいません
6: 口コミさん : 2007-01-29 04:40
それカーネルの設定のとこだったんですね…

無難に,586/K5/5x86/6x86/6x86MX,でいいんじゃないですかね?

よくわからなかったら,genkernel使った方がいいかもしれませんよ^^;
7: 口コミさん : 2007-01-29 05:42
CFLAGS, CHOST, CXXFLAGSのところもわからなかったですし
教えてもらってよかったです

そうですかありがとうございます
8: 口コミさん : 2007-02-25 13:56
gentooで# ln -sfn /usr/portage/profiles/default-linux/x86/2006.1 /etc/make.profile
をしてcd /usr/portageをして
# scripts/bootstrap.shをしたらこのエラーがでます
何度も初めからやり直しても
どうすればいいんですか?
ちなみにknoppixからインストしてます

!!! ERROR: dev-perl/Locale-gettext-1.05 failed.
Call stack:
ebuild.sh, line 1539: Called dyn_compile
ebuild.sh, line 939: Called src_compile
ebuild.sh, line 1248: Called perl-module_src_compile
perl-module.eclass, line 136: Called perl-module_src_prep
perl-module.eclass, line 125: Called die

!!! Unable to build! (are you using USE="build"?)
!!! If you need support, post the topmost build error, and the call stack if relevant.
9: 口コミさん : 2007-02-25 15:06
>>11 tosi さん
scripts/bootstrap.shを実行する前に、make.confをチェックしてみてください。
"USE="で始まる行がありますので、"build"というキーワードが入っているか確認してください。
※書き込まれたエラーメッセージには"USE=build"を指定してるか?という意味合いの
※メッセージが見受けられます。

USEフラグの一覧がWebにありますが、buildはbootstrap.sh実行時に指定しなくてはいけないフラグのようです。
10: nac : 2007-02-25 19:25
はじめまして。
ここが参考になるかとおもいます。kernelのバージョンと32bit/64bitで変わるようですね。
http://gentoo-wiki.com/HARDWARE_Intel_Core2_Duo

LKML にも質問のスレッドがありました。どのていど正しいかはわかりませんが。
http://lkml.org/lkml/2006/11/12/77

Core2Duoいいなー。
11: 口コミさん : 2007-02-25 21:57
皆さん御親切にありがとうございます

j9さんはいってませんでした
12: 口コミさん : 2007-02-26 00:12
USE="build"をいれましたが

(chroot) Knoppix portage # scripts/bootstrap.sh

Gentoo Linux; http://www.gentoo.org/
Copyright 1999-2006 Gentoo Foundation; Distributed under the GPLv2
Starting Bootstrap of base system ...
-------------------------------------------------------------------------------
[[ (0/3) Locating packages ]]

* You have 'build' or 'bootstrap' in your USE flags. Please
* remove it before trying to continue, since these USE flags
* are used for internal purposes and shouldn't be specified
* by you.

というエラー(?)がでてしまいます
13: 口コミさん : 2007-02-26 21:28
tosiさん

はじめまして。けんやと申します。

きっとすでにご存知で勉強のためにやっていらっしゃるのでしたら余計なお世話で恐縮ですが、Gentooハンドブック↓
http://www.gentoo.org/doc/ja/handbook/handbook-x86.xml?part=1&chap=5

にありますように、stage1/stage2からのインストールは今後サポートされなくなる
(サポートって何かといわれるとアレですが、ちゃんと動くように実装したりチェックしたりしないということかな)ようなので、
もし目的が他にあるのならば、stage1でもたらされる機能的なメリットはほぼ代替可能
(そもそもサポートされなくなる理由がstage3入れて、変更したければemerge -e systemするでしょ、といった話だった気がします...)ですので、
stage1特有のトラブルについてはあまり固執せず、素直にstage3から導入されたほうが近道な気が個人的にはしますです。

以上、おせっかい失礼しましたm(_ _)m
14: 口コミさん : 2007-02-26 21:30
>(サポートって何かといわれるとアレですが、ちゃんと動くように実装したりチェックしたりしないということかな)

あっでもリリースエンジニアリングチームはstage1からGentooをビルドできる必要が(たぶん)あるから、動かなくなるってことはないか...失礼しました。
15: 口コミさん : 2007-02-27 01:07
そうですか…皆さん書き込みまくってすいませんでした

御迷惑おかけしました

サイト内検索